[jira] [Created] (HADOOP-17465) Update Dockerfile to use Focal

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Created] (HADOOP-17465) Update Dockerfile to use Focal

Steve Loughran (Jira)
Gautham Banasandra created HADOOP-17465:
-------------------------------------------

             Summary: Update Dockerfile to use Focal
                 Key: HADOOP-17465
                 URL: https://issues.apache.org/jira/browse/HADOOP-17465
             Project: Hadoop Common
          Issue Type: Improvement
          Components: build, test
    Affects Versions: 3.4.0
         Environment: Ubuntu
            Reporter: Gautham Banasandra
            Assignee: Gautham Banasandra


Referring to the current Dockerfile, it seems like the toolchain provided by Ubuntu Bionic isn't on track with the versions of the libraries that are needed. Thus, we are separately installing Boost and other libraries (gcc-9 and CMake 3.19 needed by HDFS-15740). All these won't be necessary if we upgrade to Focal as these library versions are part of the Focal toolchain itself.



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]